-- Test country_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('country_i18n');
select has_pk('country_i18n' );
select col_is_pk('country_i18n', array['country_code', 'lang_tag']);
select table_privs_are('country_i18n', 'guest', array ['SELECT']);
select table_privs_are('country_i18n', 'employee', array ['SELECT']);
select table_privs_are('country_i18n', 'admin', array ['SELECT']);
select table_privs_are('country_i18n', 'authenticator', array []::text[]);

select has_column('country_i18n', 'country_code');
select col_is_fk('country_i18n', 'country_code');
select fk_ok('country_i18n', 'country_code', 'country', 'country_code');
select col_type_is('country_i18n', 'country_code', 'country_code');
select col_not_null('country_i18n', 'country_code');
select col_hasnt_default('country_i18n', 'country_code');

select has_column('country_i18n', 'lang_tag');
select col_is_fk('country_i18n', 'lang_tag');
select fk_ok('country_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('country_i18n', 'lang_tag', 'text');
select col_not_null('country_i18n', 'lang_tag');
select col_hasnt_default('country_i18n', 'lang_tag');

select has_column('country_i18n', 'name');
select col_type_is('country_i18n', 'name', 'text');
select col_not_null('country_i18n', 'name');
select col_hasnt_default('country_i18n', 'name');


select *
from finish();

rollback;

